import { nanoid } from 'nanoid';

export class SocialBase<T = any> {
  id: string = '';
  /**
   * 是否运行中
   */
  isRuning: boolean = false;
  /**
   * 应用的配置项
   */
  config: T;
  constructor(opts?: any) {
    this.config = opts?.config || {};
    this.id = opts?.id || nanoid();
  }
  /**
   * 获取用户信息
   */
  async getUserInfo() {
    throw new Error('Method not implemented.');
  }
  /**
   * 获取被 call 的信息
   */
  async getMention() {
    throw new Error('Method not implemented.');
  }

  /**
   * 发送评论信息
   */
  async sendComment() {
    // throw new Error('Method not implemented.');
  }
  async getUnread() {
    throw new Error('Method not implemented.');
  }
}
