// @ts-check
// https://bun.sh/docs/bundler
// @ts-ignore
import pkg from './package.json';
import { resolvePath as rp } from '@kevisual/use-config/env';

// bun run src/index.ts --
await Bun.build({
  target: 'node',
  format: 'esm',
  entrypoints: [rp('src/index.ts')],
  outdir: rp('./dist'),
  naming: {
    entry: 'app.mjs',
  },
  define: {
    VERSION: JSON.stringify(pkg.version),
  },
  external: ['sequelize'],
});
