import { XhsClient, Result } from '../xhs.ts';
interface ImageInfo {
  image_scene: string;
  url: string;
}

interface ImageItem {
  file_id: string;
  height: number;
  width: number;
  url: string;
  trace_id: string;
  url_pre: string;
  stream: Record<string, never>; // 空对象类型
  info_list: ImageInfo[];
  url_default: string;
  live_photo: boolean;
}

interface AtUser {
  xsec_token: string;
  user_id: string;
  nickname: string;
}

interface User {
  user_id: string;
  nickname: string;
  avatar: string;
  xsec_token: string;
}

interface InteractInfo {
  collected_count: string;
  comment_count: string;
  share_count: string;
  followed: boolean;
  relation: string;
  liked: boolean;
  liked_count: string;
  collected: boolean;
}

interface ShareInfo {
  un_share: boolean;
}

interface NoteData {
  xsec_token: string;
  desc: string;
  user: User;
  interact_info: InteractInfo;
  tag_list: never[]; // 空数组类型
  at_user_list: AtUser[];
  ip_location: string;
  share_info: ShareInfo;
  note_id: string;
  type: string;
  title: string;
  image_list: ImageItem[];
  time: number;
  last_update_time: number;
}
export const getNote = async function (id: string, x: string) {
  const that = this as XhsClient;
  const res = await that.getNoteByIdFromHtml(id, x);
  return res as Result<NoteData>;
};
