type NoteBase = {
  /**
   * note id
   **/
  id: string;
  xsec_token: string;
  type: 'note_info';
  user_info: UserInfo;
};

export type UserInfo = {
  image: string;
  indicator: '作者';
  nickname: string;
  red_official_verify_type: 0;
  userid: string;
  xsec_token: string;
};
export type CommonentInfo = {
  id: string;
  content: string;
  target_comment: CommonentInfo;
  user_info?: UserInfo;
  image_list?: string[];
};

export type MentionItem = {
  id: string;
  type: 'mention/item';
  track_type: '2';
  title: string;
  user_info: UserInfo;
  item_info: {} & NoteBase;
  comment_info: CommonentInfo;
};
export type MentionComment = {
  id: string;
  type: 'mention/comment' | 'comment/comment';
  track_type: '8';
  title: string;
  item_info: {} & NoteBase;
  comment_info: CommonentInfo;
};
export type Mention = MentionItem | MentionComment;

export type ResponseMession = {
  has_more: boolean;
  cursor: string;
  strCursor: string;
  message_list: Mention[];
};
