import { app, xhsServices } from '@kevisual/xhs/app.ts';
app
  .route({
    path: 'note',
    key: 'getNote',
    description: '获取笔记详情',
  })
  .define(async (ctx) => {
    const { node_id, xsec_token } = ctx.query;
    const client = xhsServices.getClient();
    const res = await client.getNote(node_id, xsec_token);
    if (res.code === 200) {
      ctx.body = res.data || {};
    } else {
      ctx.throw(`获取笔记失败: ${node_id}`);
    }
  })
  .addTo(app);
