import { Sequelize } from 'sequelize';

type SequelizeOptions = {
  storage: string;
  logging?: boolean;
  [key: string]: any;
};
export const createSequelize = (opts?: SequelizeOptions) => {
  const dbPath = opts?.storage || 'xhs.db';
  const sequelize = new Sequelize({
    dialect: 'sqlite',
    storage: dbPath,
    logging: opts?.logging ?? true,
  });
  return sequelize;
};
