import { redis } from '@/modules/redis.ts';
import { Queue } from 'bullmq';
import { nanoid } from 'nanoid';
import { addUnreadTask, XHS_QUEUE_NAME } from '@/task/task.ts';

export const queue = new Queue(XHS_QUEUE_NAME, {
  connection: redis,
});

// 初始启动
async function start() {
  addUnreadTask();
}
//
start();
const getTasks = async () => {
  const tasks = await queue.getJobs(['waiting', 'active', 'completed', 'failed']);
  return tasks;
};
const getTask = async (id: string) => {
  const task = await queue.getJob(id);
  return task;
};
const removeTask = async (id: string) => {
  const task = await queue.getJob(id);
  if (task) {
    await task.remove();
  }
};

// const task = await getTask('4');
// console.log('task', task);
